<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_VisaElements StructType
 * @subpackage Structs
 */
class JP_VisaElements extends AbstractStructBase
{
    /**
     * The VisaElement
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaElement
     */
    public $VisaElement;
    /**
     * Constructor method for JP_VisaElements
     * @uses JP_VisaElements::setVisaElement()
     * @param \StructType\JP_VisaElement $visaElement
     */
    public function __construct(\StructType\JP_VisaElement $visaElement = null)
    {
        $this
            ->setVisaElement($visaElement);
    }
    /**
     * Get VisaElement value
     * @return \StructType\JP_VisaElement|null
     */
    public function getVisaElement()
    {
        return $this->VisaElement;
    }
    /**
     * Set VisaElement value
     * @param \StructType\JP_VisaElement $visaElement
     * @return \StructType\JP_VisaElements
     */
    public function setVisaElement(\StructType\JP_VisaElement $visaElement = null)
    {
        $this->VisaElement = $visaElement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_VisaElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
